TURBOCASE(1)

NAME
turbocase - generate openSCAD case files from KiCad project files

DESCRIPTION
usage: turbocase [-h] [--layer LAYER] [--lid-layer LID_LAYER] [--bottom BOTTOM] [--wall WALL] [--standoff STANDOFF] [--show-pcb] [--lid {cap,inner-fit}] [--verbose] [--debug] pcb output

  positional arguments:

pcb Input kicad PCB file

output
    Generated openSCAD case template

  options:

-h, --help
    show this help message and exit

--layer LAYER
    Layer with the case inner-outline [defaults to User.6]

--lid-layer LID_LAYER
    Layer with lid-specific holes [defaults to User.7]

--bottom BOTTOM
    Bottom thickness in mm [default 1.2]

--wall WALL
    Wall thickness in mm [default 1.2]

--standoff STANDOFF
    Height generated for the PCB mounts in mm[default 5]

--show-pcb
    Show the PCB placeholder by default [default false]

--lid {cap,inner-fit}
    Lid construction model

--verbose, -v
    Show log messages

--debug
    Display a lot of debugging info

AUTHOR

Matthias Geiger <werdahias@riseup.net>

COPYRIGHT

Copyright © 2024 Matthias Geiger

This manual page was written for the Debian system (and may be used by others).

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 3 or (at your option) any later version published by the Free Software Foundation.